"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createTable = void 0;
var _toolbox = require("@webiny/db-dynamodb/toolbox");
const createTable = ({
  documentClient
}) => {
  const config = {
    name: process.env.DB_TABLE_ELASTICSEARCH,
    partitionKey: "PK",
    sortKey: "SK",
    DocumentClient: documentClient,
    autoExecute: true,
    autoParse: true
  };
  return new _toolbox.Table(config);
};
exports.createTable = createTable;

//# sourceMappingURL=table.js.map