"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  createElasticsearchBackgroundTasks: true
};
exports.createElasticsearchBackgroundTasks = void 0;
var _tasks = require("./tasks");
var _CreateElasticsearchIndexTaskPlugin = require("./tasks/createIndexes/CreateElasticsearchIndexTaskPlugin");
Object.keys(_CreateElasticsearchIndexTaskPlugin).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _CreateElasticsearchIndexTaskPlugin[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _CreateElasticsearchIndexTaskPlugin[key];
    }
  });
});
const createElasticsearchBackgroundTasks = params => {
  return [(0, _tasks.createElasticsearchReindexingTask)(params), (0, _tasks.createEnableIndexingTask)(params), (0, _tasks.createIndexesTaskDefinition)(params)];
};
exports.createElasticsearchBackgroundTasks = createElasticsearchBackgroundTasks;

//# sourceMappingURL=index.js.map